# Package com.fasterxml.jackson.databind.exc

- Exception Summary
  Exception | Description
  --- | ---
  IgnoredPropertyException | Specialized `JsonMappingException` sub-class used to indicate case where an explicitly ignored property is encountered, and mapper is configured to consider this an error.
  InvalidFormatException | Specialized sub-class of `JsonMappingException` that is used when the underlying problem appears to be that of bad formatting of a value to deserialize.
  InvalidTypeIdException | Exception thrown when resolution of a type id fails.
  PropertyBindingException | Base class for `JsonMappingException`s that are specifically related to problems related to binding an individual property.
  UnrecognizedPropertyException | Specialized `JsonMappingException` sub-class specifically used to indicate problems due to encountering a JSON property that could not be mapped to an Object property (via getter, constructor argument or field).